<?php
/*
* Plugin Name: AMZ Disclaimer & Statement
* Plugin URI: http://wpthemeplugin.com/
* Description: This plugin helps Amazon associates avoid their account being banned by Amazon by placing the required Disclaimer or Affiliate Statement automatically on footer. Compatible with 7 Amazon associates program (Amazon US, CA, UK, DE, FR, ES and IT).
* Version: 1.3
* Author: Leo (WpThemePlugin.com)
* Author URI: http://wpthemeplugin.com
*/

class LeoBCBizAMZSttDc {

    private $plugin_path;
    private $plugin_url;
    private $l10n;
    private $wpsf;

    function __construct()
    {	
        $this->plugin_path = plugin_dir_path( __FILE__ );
        $this->plugin_url = plugin_dir_url( __FILE__ );
        $this->l10n = 'wp-settings-framework';
        add_action( 'admin_menu', array(&$this, 'admin_menu'), 99 );

        // Include and create a new WordPressSettingsFramework
        require_once( $this->plugin_path .'wp-settings-framework.php' );
        $this->wpsf = new WordPressSettingsFramework( $this->plugin_path .'settings/settings-general.php' );
        // Add an optional settings validation filter (recommended)
        add_filter( $this->wpsf->get_option_group() .'_settings_validate', array(&$this, 'validate_settings') );
    }
    
    function admin_menu()
    {
        $page_hook = add_menu_page( __( 'AMZ Disclaimer', $this->l10n ), __( 'AMZ Disclaimer', $this->l10n ), 'update_core', 'amzdiscstt', array(&$this, 'settings_page') );
        add_submenu_page( 'amzdiscstt', __( 'Settings', $this->l10n ), __( 'Settings', $this->l10n ), 'update_core', 'amzdiscstt', array(&$this, 'settings_page') );
    }
    
    function settings_page()
{
?>
<style>
.wrap {
font-size: 13px;
line-height: 1.3em;
padding-top: 25px;
width: 750px;
}
.wrap h2 {
margin-bottom: 10px;
padding-bottom: 10px;
}
.wrap h3 {
font-size: 20px;
font-weight: normal;
margin: 25px 0 0;
padding: 0;
}

.wrap p {
margin: 10px 0;
padding: 0;
}
.wrap input,
.wrap textarea {
line-height: 1.3em;
padding: 8px;
border: 1px solid #C5C5C5;
}
.wrap select option {
line-height: 1.3em;
padding: 8px;
}
</style>
<div class="wrap">
<div id="icon-options-general" class="icon32"></div>
<h2>AMZ Disclaimer & Statement Setting</h2>
<div style="font-family:Arial;font-size:14px;margin-top: 15px;margin-bottom: 30px;">

<a href="https://wpthemeplugin.com/amz-disclaimer-statement-wordpress-plugin/" target="_blank">For Tutorial See Plugin Page</a>

</div>
<?php
// Output your settings form
$this->wpsf->settings();
?>
</div>
<?php

// Get settings
//$settings = wpsf_get_settings( $this->plugin_path .'settings/settings-general.php' );
//echo '<pre>'.print_r($settings,true).'</pre>';

}

function validate_settings( $input )
{
     return $input;
}

}
new LeoBCBizAMZSttDc();
function leobcbiz_amzsttdisclaimer() {
        include(plugin_dir_path(__FILE__) .'/settings/leobcbiz/amzsttdisc-content.php');
}
$bcbizsttd_status = wpsf_get_setting( wpsf_get_option_group( plugin_dir_path( __FILE__ ) .'settings/settings-general.php' ), 'general', 'amzdsttstatus' );
if ($bcbizsttd_status == "1") {
add_action('wp_footer', 'leobcbiz_amzsttdisclaimer');
}

require 'leobcbiz-pluginupdater.php';
$KernlUpdater = new PluginUpdateChecker_2_0 (
    'https://kernl.us/api/v1/updates/5eda8e65a7e2b04adf126474/',
    __FILE__,
    'leobcbiz-amzsttmentdisclaimer',
    1
);

?>